# xmlpp::SchemaValidator Class Reference

XML DOM parser. More...

Inheritance diagram for xmlpp::SchemaValidator:

[legend]

List of all members.

## Public Member Functions
| SchemaValidator ()
| SchemaValidator (const Glib::ustring &file)
| SchemaValidator (Document &document)
| SchemaValidator (Schema *schema)
virtual | ~SchemaValidator ()
virtual void | parse_file (const Glib::ustring &filename)
virtual void | parse_memory (const Glib::ustring &contents)
virtual void | parse_document (Document &document)
virtual void | set_schema (Schema *schema)
| operator bool () const
| Test whether a document has been parsed.
Schema * | get_schema ()
const Schema * | get_schema () const
bool | validate (const Document *doc)
bool | validate (const Glib::ustring &file)
## Protected Member Functions
virtual void | initialize_valid ()
void | parse_context (_xmlSchemaParserCtxt *context)
virtual void | release_underlying ()
## Protected Attributes
Schema * | schema_
bool | embbeded_shema_
_xmlSchemaValidCtxt * | ctxt_

## Detailed Description

XML DOM parser.

Since libxml++ 2.24:

## Constructor & Destructor Documentation

xmlpp::SchemaValidator::SchemaValidator | ( |  | ) |

xmlpp::SchemaValidator::SchemaValidator | ( | const Glib::ustring & | file | ) | `[explicit]`

xmlpp::SchemaValidator::SchemaValidator | ( | Document & | document | ) | `[explicit]`

xmlpp::SchemaValidator::SchemaValidator | ( | Schema * | schema | ) | `[explicit]`

virtual xmlpp::SchemaValidator::~SchemaValidator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void xmlpp::SchemaValidator::parse_file | ( | const Glib::ustring & | filename | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::parse_memory | ( | const Glib::ustring & | contents | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::parse_document | ( | Document & | document | ) | `[virtual]`

virtual void xmlpp::SchemaValidator::set_schema | ( | Schema * | schema | ) | `[virtual]`

xmlpp::SchemaValidator::operator bool | ( |  | ) | const

Test whether a document has been parsed.

Schema* xmlpp::SchemaValidator::get_schema | ( |  | ) |

const Schema* xmlpp::SchemaValidator::get_schema | ( |  | ) | const

bool xmlpp::SchemaValidator::validate | ( | const Document * | doc | ) |

bool xmlpp::SchemaValidator::validate | ( | const Glib::ustring & | file | ) |

virtual void xmlpp::SchemaValidator::initialize_valid | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Validator.

void xmlpp::SchemaValidator::parse_context | ( | _xmlSchemaParserCtxt * | context | ) | `[protected]`

virtual void xmlpp::SchemaValidator::release_underlying | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Validator.

## Member Data Documentation

Schema* xmlpp::SchemaValidator::schema_`[protected]`

bool xmlpp::SchemaValidator::embbeded_shema_`[protected]`

_xmlSchemaValidCtxt* xmlpp::SchemaValidator::ctxt_`[protected]`

The documentation for this class was generated from the following file:

- schemavalidator.h